Update a webhook endpoint
curl --request PUT \
--url https://api.sentralbee.app/v1/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com/sentralbee/webhooks",
"enabled_events": [
"import.completed",
"import.failed"
],
"description": "<string>",
"status": "active"
}
'import requests
url = "https://api.sentralbee.app/v1/webhooks/{id}"
payload = {
"url": "https://example.com/sentralbee/webhooks",
"enabled_events": ["import.completed", "import.failed"],
"description": "<string>",
"status": "active"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://example.com/sentralbee/webhooks',
enabled_events: ['import.completed', 'import.failed'],
description: '<string>',
status: 'active'
})
};
fetch('https://api.sentralbee.app/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"description": "<string>",
"enabled_events": [
"<string>"
],
"status": "active",
"last_delivery_at": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "insufficient_scope",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "insufficient_scope",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "insufficient_scope",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "insufficient_scope",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "insufficient_scope",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "insufficient_scope",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "insufficient_scope",
"message": "<string>",
"request_id": "<string>"
}
}Webhooks
Update a webhook endpoint
Updates url, description, subscribed events and status (never the secret).
PUT
/
webhooks
/
{id}
Update a webhook endpoint
Authorizations
Workspace API key (full access). The workspace is derived from the key.
Path Parameters
Body
application/json
HTTPS endpoint that receives deliveries.
Example:
"https://example.com/sentralbee/webhooks"
Event types to subscribe to, or ["*"] for all.
Example:
["import.completed", "import.failed"]
Available options:
active, disabled 
